Subject: Re: [bitcoin-dev] Braidpool: Proposal for a decentralised mining pool

From: Billy Tetrud <[email-masked]>
Date: Wed, 1 Sep 2021 23:46:55 -0700

How would you compare this to Stratum v2?

On Sun, Aug 29, 2021 at 1:02 AM pool2win via bitcoin-dev <
[email-masked]> wrote:

> We have been working on a peer to peer mining pool that overcomes the
> problems faced by P2Pool and enables building a futures market for
> hashrate.
>
> The proposal can be found here:
> https://github.com/pool2win/braidpool/raw/main/proposal/proposal.pdf
>
> The key features of the pool are:
>
> 1. Lower variance for smaller miners, even when large miners join
>   the pool.
> 2. Miners build their own blocks, just like in P2Pool.
> 3. Payouts require a constant size blockspace, independent of the
>   number of miners in the pool.
> 4. Provide building blocks for enabling a futures market of hash
>   rates.
>
> Braidpool: Decentralised Mining Pool for Bitcoin
>
> Abstract. Bitcoin P2Pool's usage has steadily declined over the years,
> negatively impacting bitcoin's decentralisation. The variance in
> earnings for miners increases with total hashrate participating in
> P2Pool, and payouts require a linearly increasing block space with the
> number of miners participating in the pool. We present a solution that
> uses a DAG of shares replicated at all miners. The DAG is then used to
> compute rewards for miners. Rewards are paid out using one-way payment
> channels by an anonymous hub communicating with the miners using Tor's
> hidden services. Using the payment channels construction, neither the
> hub nor the miners can cheat.
>
> Full proposal at
> https://github.com/pool2win/braidpool/raw/main/proposal/proposal.pdf
>
> Details on trading hashrate are here:
>
> https://pool2win.github.io/braidpool/2021/08/18/deliver-hashrate-to-market-makers.html
>
> @pool2win
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>